05-14-13 05:25 AM
80 1234
tools
  1. Mikhou's Avatar
    1.0.8.6067.rar

    above is the download for .bar copy of 1.0.8.6067 (just one single .bar file with 890+M), someone may need this.
    It's in Japanese... or Chinese ?? Anyway I found a way to understand, I use Firefox 10.xbeta with a USEFULL extension called "QuickTranslator"

    Here is the extension I have "MOODED" to work with latest version of Firefox, so it's not the official release but a "hacked version" I've done cause the author focus on improving QT instead of making work with Beta and it's fine like that ;-) .

    So here is the XPI File and Here's how install XPI files: How to Install .xpi File in Firefox

    Regards !

    Regards
    Last edited by Mikhou; 01-07-12 at 12:00 AM.
    01-06-12 11:27 PM
  2. batboris's Avatar
    It's in Japanese I've try the 2 buttons Green and Blue but the DLD don't start...

    Could you give me a clue ?

    Regards
    You have to register to this site in order to download anything ..
    Translated with google
    01-06-12 11:49 PM
  3. lonnieo's Avatar
    It's in Japanese... or Chinese ?? Anyway I found a way to understand, I use Firefox 10.xbeta with a USEFULL extension called "QuickTranslator"

    Here is the extension I have "MOODED" to work with latest version of Firefox, so it's not the official release but a "hacked version" I've done cause the author focus on improving QT instead of making work with Beta and it's fine like that ;-) .

    So here is the XPI File and Here's how install XPI files: How to Install .xpi File in Firefox

    Regards !

    Regards
    it's chinese, just click on the button "联通下载 or "电信下载" which is under the big ad image, with white color background.
    01-07-12 08:38 AM
  4. lonnieo's Avatar
    You have to register to this site in order to download anything ..
    Translated with google
    no need to reg. , just click on the button "联通下载“ or "电信下载" which is under the big ad image, with white color background.

    update: I've got your point, the file is in a big size and need to login to download the big size file. sorry, maybe someone can get it uploaded to other website, cause my uploading speed is just 10+ kbs
    Last edited by lonnieo; 01-07-12 at 08:49 AM.
    01-07-12 08:40 AM
  5. batboris's Avatar
    no need to reg. , just click on the button "联通下载 or "电信下载" which is under the big ad image, with white color background.

    update: I've got your point, the file is in a big size and need to login to download the big size file. sorry, maybe someone can get it uploaded to other website, cause my uploading speed is just 10+ kbs
    OK, I'm uploading mine to mediafire.
    Since I don't want to pay $9/month, it will be nine files 100MB each.
    It will take some time, so .. I will post the links when it is done.

    Meanwhile, please try to upload 2.0.0.6149!
    01-07-12 09:06 AM
  6. lonnieo's Avatar
    OK, I'm uploading mine to mediafire.
    Since I don't want to pay $9/month, it will be nine files 100MB each.
    It will take some time, so .. I will post the links when it is done.

    Meanwhile, please try to upload 2.0.0.6149!
    uploading, already 70%, but still using the same website (u.115.com)
    01-07-12 09:26 AM
  7. aburrobb's Avatar
    01-07-12 10:32 AM
  8. zedsta's Avatar
    Hi,

    I have already upgraded to 2.0.06149 and wish to downgrade to 2.0.0.4869 so i can root the device.

    I seem to be having some problems, i skipped the microapache method and went straight to the Fiddler method.

    I first start the BB Desktop Manager and then Fiddler (i have already done the modifications to fiddler).

    I then go to BB Device Manager and click the Update link i get the following ssl error in a pop up dialogue box in Fiddler:

    Session #2: The remote server (cs.websl.blackberry.com) presented a certificate that did not validate, due to RemoteCertificateNameMismatch, RemoteCertificateChainErrors.

    SUBJECT: CN=localhost
    ISSUER: CN=localhost
    EXPIRES: 13/04/2019 23:04:42

    (This warning can be disabled by clicking Tools | Fiddler Options.)
    I CLICK YES TO CONTINUE

    Once i click yes to the ssl error BB Desktop Manager crashes. Please see attached screen grab for the error i recieve in the Fiddler window.

    Any ideas??
    Last edited by zedsta; 01-07-12 at 12:49 PM.
    01-07-12 12:45 PM
  9. Mikhou's Avatar
    Hi,

    I have already upgraded to 2.0.06149 and wish to downgrade to 2.0.0.4869 so i can root the device.

    I seem to be having some problems, i skipped the microapache method and went straight to the Fiddler method.

    Any ideas??
    Ouch !!!

    You've got it WRONG from the start !!!

    You MUST use the server method WITH Fiddler IF it does not work without Fiddler ---> You will add fiddler to Micro Apache.

    Read carefully the first post of the thread and be sure you understand the idea !

    Good Luck !
    01-07-12 01:56 PM
  10. zedsta's Avatar
    Ok! so i'v now followed steps 1-4 for microapache.

    Apache is now setup and running, iv downloaded all the firmware files and put them in the correct location/folders. To test this i ran http://127.0.0.1/cs/cs.php?bundleVersionRequest and all files were detected correctly.

    I startup Fiddler all modifcations are made to Tools/Hosts etc

    I now have Microapache running and Fiddler.

    I startup BBDM go to Device/Update...

    I get the following in the ssl pop-up dialogue box:

    Session #3: The remote server (cs.websl.blackberry.com) presented a certificate that did not validate, due to RemoteCertificateChainErrors.

    SUBJECT: E=aaa@cs.websl.blackberry.com, CN=cs.websl.blackberry.com, OU=BB, O=BB, L=New York, S=New York, C=US
    ISSUER: E=aaa@cs.websl.blackberry.com, CN=cs.websl.blackberry.com, OU=BB, O=BB, L=New York, S=New York, C=US
    EXPIRES: 25/12/2012 18:59:51

    (This warning can be disabled by clicking Tools | Fiddler Options.)
    YES, to continue

    In the update dialogue box there is NO "View other versions" button??? (See attached screen grab)

    I have also attached another screen grab of the Fiddler window.

    What am i missing??
    01-07-12 03:05 PM
  11. Mikhou's Avatar
    Ok! so i'v now followed steps 1-4 for microapache.


    I startup Fiddler all modifcations are made to Tools/Hosts etc

    I now have Microapache running and Fiddler.

    I startup BBDM go to Device/Update...

    I get the following in the ssl pop-up dialogue box:



    YES, to continue



    What am i missing??

    You're on the right track , but take time to read CAREFULLY the complete thread please ;-) It's because you want to goto fast that you miss things...

    I'm in hurry, so quickly I give you a quick hint but again read CAREFULLY the complete thread :

    First, remove the cs.websl.blackberry.com entry from your hosts file, restart BBDM and then make sure that BBDM will offer you the current filmware, then cancel and exit BBDM.

    Then download Fiddler2 from HERE, and install it. Fiddler2 is a web debugging proxy... (I used it to help determine what BBDM is doing).... Fiddler Web Debugger - Freeware HTTP(S) debugging tool

    Once it is installed, run it... it will change your internet settings so that all HTTP and HTTPS traffic goes through it... Once it is running, on the menu bar, click "Tools" then "Fiddler options" then "HTTPS" and make sure that "Capture HTTPS CONNECTs" and "Decrypt HTTPS traffic" are checked, then click "OK".

    Then run BBDM, and again start an upgrade. Fiddler2 should then pop up a warning about a certificate error... select continue.... BBDM should then present you with the offer to upgrade....

    If you get this far, we can now get Fiddler2 to redirect traffic from the BB server to the local server. In Fiddler2, click on "Tools" then "HOSTS". In the dialog that appears, click on the checkbox at the top ("Enable remapping..."), then click in the white box and enter "127.0.0.1 cs.websl.blackberry.com", then click "SAVE".

    Fiddler2 will now redirect the traffic to the local server... Go back to BBDM and start an upgrade... You should get a message box with the "View other versions" button... click the button... You should be shown the list of firmwares that you have on your local server.


    So.. try that and let me know what happens for you...

    Regards
    01-07-12 07:43 PM
  12. cybrmage's Avatar
    I just posted a new version...

    Now with caching poxy goodness!!

    see the first post for details...

    Regards,
    CybrMage
    batboris and Wolfgan like this.
    01-08-12 12:54 AM
  13. batboris's Avatar
    I just posted a new version...

    Now with caching poxy goodness!!

    see the first post for details...

    Regards,
    CybrMage
    Can't thank you enough for this new feature
    Everyone with slow connection will apreciate it!
    01-08-12 01:19 AM
  14. lonnieo's Avatar
    finished uploading 6149, though aburrobb has posted all downloads above (thx), I post mine here:
    2.0.0.6149.rar
    2.0.0.6149.rar
    batboris likes this.
    01-08-12 03:05 AM
  15. Mikhou's Avatar
    What is the difference between this one :

    And this one ????



    I think I understand that the others bar files are systems file ?

    But in the upgrade or downgrade process what happen if those files are missing ? or there ?

    I'm curious and like someone enlighten me on this !

    Regards !
    01-08-12 05:03 PM
  16. Kirk_Land's Avatar
    Well, I'm tearing my hair out here, I can't get this to work no matter what I try. I've tried modifying the host file, I've used fiddler, but always with the same results, namely nothing.

    Whenever I put the redirection to the Apache server into the equation, choosing Update from in Blackberry Desktop gives the error message "There are no Blackberry Device Software Updates available."

    This message box does *not* have the "Enter an email address for updates" options or "View other Versions" button that occurs when connecting to the real server. There is only a single "Close" button.

    I've tested everything, and it all seems to test fine. Apache is running fine, I can access it at 127.0.0.1 or the cs.websl.blackberry.com address. In Firefox, http://cs.websl.blackberry.com/cs/cs...est=2.0.0.4869 gets me the proper:

    Scanning Firmware directory: \Playbook_Update_Server_v0.0.3\HTTP_ROOT\playbook\ 2.0.0.4869\

    Found System Firmware file: qcfm.os.com.qnx.coreos.qcfm.os.sdk.4869.79475.sign ed.bar
    Found file: SheetToGo_arm.bar
    ...

    And so on, so clearly the files are in the proper directories.

    My access logs don't have any entries that seem to come from the blackberry software, they all appear to be from my browser tests. Similarly, my ssl_request log is completely empty, not a single line in it. I don't know if that's just because logging isn't configured for it, or it's a problem.

    My tablet is brand new, running 1.0.8.6067. I've never registered for the 2.0 beta, I don't believe that should matter?

    Are there some required options in the setup of the tablet? Do I need sharing on, development, or some other unknown setting? Does it require US settings? I'm in Canada.

    Any help would be appreciated here.
    01-09-12 12:49 AM
  17. cybrmage's Avatar
    Well, I'm tearing my hair out here, I can't get this to work no matter what I try.
    This message box does *not* have the "Enter an email address for updates" options or "View other Versions" button that occurs when connecting to the real server. There is only a single "Close" button.
    This is the box that is BBDM telling you that it can't connect to the update server.

    So... start over from the beginning...

    1) shut down BBDM, fiddler, all browsers and the update server (double click on stop.bat). Remove any entries you added to the hosts file.

    2) Change the name of the update server directory, then start the update server. If you are on Vista or Win7, windows firewall will then show a popup that says it has blocked some features. Make sure the "Private networks" box is checked, then click "allow access".

    3) Run fiddler. Click on "Tools" then "Hosts" and make sure "enable remapping" is checked and enter "127.0.0.1<space>cs.websl.blackberry.com", then click "save".

    4) Run BBDM. Connect your device and attempt an upgrade.

    Regards,
    CybrMage
    Kirk_Land likes this.
    01-09-12 02:29 AM
  18. cybrmage's Avatar
    What is the difference between ...
    The "qcfm.os.com.qnx.coreos....signed.bar" or "qcfm.os.factory.....signed.bar" file is the system filmware. It contains the entirety of the core operating system that runs the device.

    The other files are addons to the "core" operating system... IE:

    sys.android.bar = The android player system to allow you to run android apps.
    DTGLauncher_arm.bar = The application launcher for Adobe AIR applications.
    sys.data.imf.xx_XX.bar = The "Input Method Filter" files. These files provide keyboard and language support to the core OS.
    sys.airtunes.bar = The music player application.
    sys.bbbridge.bar = The core functionality for the BlackBerry Bridge feature.
    sys.bridge????.bar = the extra functionality of the Bridge feature.

    But in the upgrade or downgrade process what happen if those files are missing ? or there ?
    If yor "upgrade" to a version at only has the qcfm file, then everything should be ok... the device should boot correctly BUT the addon software (music player, video player, etc) may not work... If you do a significant upgrade, chances are that at least some of the addon applications will fail. Or some functionality will be missing.

    Personally, I would recommend that you only use those versions of the OS for which the addon files are not available (1.0.8.4985 and 2.0.0.4869) as intermediary steps on the road to rooting. IE: you get a new device... the initial setup takes the device to 1.0.8.6149(partial) and BBDM with prompt you to upgrade to 1.0.8.6067... don't... downgrade to 1.0.8.4985 instead... root with DingleBerry... Upgrade to either 1.0.8.6067 or 2.0.0.6149. enjoy. OR you unrooted device has 2.0.0.6149... backup your data... downgrade to 2.0.0.4869... root with DingleBerry... upgrade to 2.0.0.6149.. restore from the backup.

    Regards,
    CybrMage
    lonnieo likes this.
    01-09-12 03:02 AM
  19. tinbilly's Avatar
    I keep getting the error message when running go.bat, "Apache HTTP server has stopped working"

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: mapache.exe
    Application Version: 2.0.64.200
    Application Timestamp: 4cbbeae8
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.2.17.17
    Fault Module Timestamp: 4d25fb49
    Exception Code: c0000005
    Exception Offset: 000f424c
    OS Version: 6.1.7601.2.1.0.256.1
    Locale ID: 2057
    Additional Information 1: 0a9e
    Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
    Additional Information 3: 0a9e
    Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

    Read our privacy statement online:
    Windows 7 Privacy Statement - Microsoft Windows

    If the online privacy statement is not available, please read our privacy statement offline:
    C:\Windows\system32\en-US\erofflps.txt

    Any suggestion on how to fix this? Many thanks!
    01-09-12 02:09 PM
  20. Mikhou's Avatar
    I keep getting the error message when running go.bat, "Apache HTTP server has stopped working"

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: mapache.exe
    Application Version: 2.0.64.200
    Application Timestamp: 4cbbeae8
    Fault Module Name: php5ts.dll


    Any suggestion on how to fix this? Many thanks!

    1- In the future: First always look here to have info: Google is your Friend

    2- Uninstall the Fake Server and Install this package first : Download: Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update - Microsoft Download Center - Download Details AND Download: Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package MFC Security Update - Microsoft Download Center - Download Details

    Install the update in case it ask you if you want remove or repair ? Choose REPAIR

    3- After reinstall reboot your computer and reinstall the Fake Server, It SHOULD work !

    If it don't work (maybe it can happen) :

    4- Uninstal again the completely the fake server and DLD : Playbook_Update_Server_v0.0.2.rar at the beginning of the thread.

    PLEASE let us know if the first method fixed your problem or the second (if the first was not successful) , this way we can fix the broken part.

    Regards.

    -=-=-=-=-=-=-

    N.B.: @cybrmage it is related to the PHP part of the server... but don't konw more for now.
    sashlon likes this.
    01-09-12 04:33 PM
  21. Mikhou's Avatar
    Personally, I would recommend that you only use those versions of the OS for which the addon files are not available (1.0.8.4985 and 2.0.0.4869) as intermediary steps on the road to rooting. IE: you get a new device... the initial setup takes the device to 1.0.8.6149(partial) and BBDM with prompt you to upgrade to 1.0.8.6067... don't... downgrade to 1.0.8.4985 instead... root with DingleBerry... Upgrade to either 1.0.8.6067 or 2.0.0.6149. enjoy. OR you unrooted device has 2.0.0.6149... backup your data... downgrade to 2.0.0.4869... root with DingleBerry... upgrade to 2.0.0.6149.. restore from the backup.

    Regards,
    CybrMage

    Hi, I have the PB with v1.0.8.6067 and have I'm not registered on Rimm Beta PB OS

    So which step should the best from your experience ?

    My goals are:


    1- To root the PB (and keep it rooted)

    2- Install Android Market

    3- Upgrade to beta 2.0.0.6149 or latest 2.x (Always keeping Andoid Markrt and PB rooted)

    BTW: Does I need or it is better to register with Rimm for the 2.x beta OS ?


    Best Regards
    01-09-12 04:43 PM
  22. Kirk_Land's Avatar
    This is the box that is BBDM telling you that it can't connect to the update server.

    So... start over from the beginning...

    1) shut down BBDM, fiddler, all browsers and the update server (double click on stop.bat). Remove any entries you added to the hosts file.

    2) Change the name of the update server directory, then start the update server. If you are on Vista or Win7, windows firewall will then show a popup that says it has blocked some features. Make sure the "Private networks" box is checked, then click "allow access".

    3) Run fiddler. Click on "Tools" then "Hosts" and make sure "enable remapping" is checked and enter "127.0.0.1<space>cs.websl.blackberry.com", then click "save".

    4) Run BBDM. Connect your device and attempt an upgrade.

    Regards,
    CybrMage
    Well, I tried this, and it still didn't work, exact same error.

    However, since you said it wasn't seeing the server at all, and I know the server is there because it can be reached without SSL, I figured SSL must be the problem.

    So, I disabled the Capture and Decrypt options in Fiddler. And it worked.
    01-09-12 06:30 PM
  23. slickvguy's Avatar
    Strangely, I was having trouble getting this to work. Seemed like a pretty straightforward process. I am doing this on a virtualbox XP vm running on ubuntu host (because I"M too lazy to boot into win7! lol), so I thought that maybe that was the problem.

    The apache server was definitely working (verified via browser).
    hosts was definitely redirecting.

    BBDM gave proper message when used normally, but when redirected to microapache, it gave the simple messagebox with no options. No good.

    I fooled around with fiddler2 (cool program, btw), but no matter what I tried, it made no difference. I figured the problem had something to do with "security" (SSL or ???), because BBDM was definitely trying to communicate with the apache server - it just wasn't liking something about the communication. Turned off the firewall. Nope. Tried port forwarding. Nope.

    I was about to stop trying, when I browsed through the directories of the playbook update server. What's this? A BB certificate and key? Hmm...nobody mentioned anything about installing a certificate, but maybe. What harm could it do? Right-clicked the certificate. Installed the certificate. One last BBDM try. Voila! It worked! heheheh.
    01-10-12 06:32 AM
  24. tinbilly's Avatar
    Many thanks! Neither method works.

    However, I realized that there is another copy of PHP installed on my PC. So I uninstalled that PHP copy. Then everything works fine.


    1- In the future: First always look here to have info: Google is your Friend

    2- Uninstall the Fake Server and Install this package first : Download: Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update - Microsoft Download Center - Download Details AND Download: Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package MFC Security Update - Microsoft Download Center - Download Details

    Install the update in case it ask you if you want remove or repair ? Choose REPAIR

    3- After reinstall reboot your computer and reinstall the Fake Server, It SHOULD work !

    If it don't work (maybe it can happen) :

    4- Uninstal again the completely the fake server and DLD : Playbook_Update_Server_v0.0.2.rar at the beginning of the thread.

    PLEASE let us know if the first method fixed your problem or the second (if the first was not successful) , this way we can fix the broken part.

    Regards.

    -=-=-=-=-=-=-

    N.B.: @cybrmage it is related to the PHP part of the server... but don't konw more for now.
    Last edited by tinbilly; 01-10-12 at 09:39 AM.
    01-10-12 09:30 AM
  25. slickvguy's Avatar
    I just downloaded/cached the full 1.0.8.6067 from RIM's server. The qcfm seems like it's the proper size, and I have all the other bars too. So far, so good. But what's up with the 6067 qcfm that is linked in this thread? It's huge (app. 900 MB). Obviously it isn't the same qcfm. Why would it be so large and what is in it (vs. the one I downloaded from RIM)? Is it the entire state of the PB captured in one bar?
    01-11-12 12:33 AM
80 1234
LINK TO POST COPIED TO CLIPBOARD